# Uses of Class
org.snpeff.interval.IntervalAndSubIntervals

Packages that use IntervalAndSubIntervals
Package
Description
org.snpeff.interval

## Uses of IntervalAndSubIntervals in org.snpeff.interval

Subclasses of IntervalAndSubIntervals in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`Gene`
Interval for a gene, as well as transcripts
`class`
`Transcript`
Interval for a transcript, as well as some other information: exons, utrs, cds, etc.
Methods in org.snpeff.interval that return IntervalAndSubIntervals
Modifier and Type
Method
Description
`IntervalAndSubIntervals<T>`
IntervalAndSubIntervals.`apply(Variant variant)`
Apply a variant.
`IntervalAndSubIntervals<T>`
IntervalAndSubIntervals.`clone()`
`IntervalAndSubIntervals<T>`
IntervalAndSubIntervals.`cloneShallow()`